Bug 977118 - Review Request: nodejs-dateformat - Steven Levithan's excellent dateFormat() function for Node.js
Review Request: nodejs-dateformat - Steven Levithan's excellent dateFormat() ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 981863
Blocks: nodejs-reviews 977128
  Show dependency treegraph
 
Reported: 2013-06-23 12:49 EDT by Jamie Nguyen
Modified: 2013-09-28 21:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-dateformat-1.0.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 14:41:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 12:49:56 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-dateformat.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-dateformat-1.0.6-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Steven Levithan's excellent dateFormat() function for Node.js.
Comment 1 Tom Hughes 2013-07-06 06:17:45 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

[!]: Package contains no bundled libraries without FPC exception.

Bundling code from http://blog.stevenlevithan.com/archives/date-time-format
which is also what leads to the weird version numbers because 1.2.3 is
the upstream version of the bundled code.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[=]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/977118-nodejs-dateformat/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Tom Hughes <tom@compton.nu>
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-dateformat-1.0.6-1.fc20.noarch.rpm
nodejs-dateformat.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-dateformat.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-dateformat.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-dateformat
nodejs-dateformat.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-dateformat.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-dateformat.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-dateformat (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-dateformat:
    nodejs-dateformat
    npm(dateformat)



Source checksums
----------------
http://registry.npmjs.org/dateformat/-/dateformat-1.0.6-1.2.3.tgz :
  CHECKSUM(SHA256) this package     : 202c3e37033ac1d98aa86abba9e7bad5cec5e80772cf09a2352560831c2dfd0d
  CHECKSUM(SHA256) upstream package : 202c3e37033ac1d98aa86abba9e7bad5cec5e80772cf09a2352560831c2dfd0d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 977118
Comment 2 Jamie Nguyen 2013-07-06 09:00:15 EDT
Damn, I should really have realised this...

I'll packaged the original dateformat separately.
Comment 3 Tom Hughes 2013-07-06 09:22:00 EDT
The only problem is that I think the npm one has local changes that aren't in the upstream...
Comment 4 Jamie Nguyen 2013-07-06 09:27:22 EDT
(In reply to Tom Hughes from comment #3)
> The only problem is that I think the npm one has local changes that aren't
> in the upstream...

Oh, err, I didn't even think of that. Damn... Well I suppose no harm in packaging dateformat anyways. I'll have to get an FPC exception for this.
Comment 5 Jamie Nguyen 2013-07-22 04:29:34 EDT
https://fedorahosted.org/fpc/ticket/319
Comment 6 Christopher Meng 2013-09-05 09:32:52 EDT
I think you should request an additional +1.
Comment 7 Jamie Nguyen 2013-09-07 12:40:33 EDT
Bundling exception approved:
https://fedorahosted.org/fpc/ticket/319#comment:5
Comment 8 Tom Hughes 2013-09-08 08:31:34 EDT
Great. Package approved then.
Comment 9 Jamie Nguyen 2013-09-08 08:34:30 EDT
New Package SCM Request
=======================
Package Name: nodejs-dateformat
Short Description: Steven Levithan's excellent dateFormat() function for Node.js
Owners: jamielinux patches
Branches: f18 f19 f20 el6
InitialCC:
Comment 10 Gwyn Ciesla 2013-09-09 08:06:49 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-09-09 09:56:22 EDT
nodejs-dateformat-1.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-dateformat-1.0.6-1.fc20
Comment 12 Fedora Update System 2013-09-09 09:57:05 EDT
nodejs-dateformat-1.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-dateformat-1.0.6-1.fc19
Comment 13 Fedora Update System 2013-09-09 09:57:50 EDT
nodejs-dateformat-1.0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-dateformat-1.0.6-1.fc18
Comment 14 Fedora Update System 2013-09-09 09:58:40 EDT
nodejs-dateformat-1.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-dateformat-1.0.6-1.el6
Comment 15 Fedora Update System 2013-09-09 12:18:16 EDT
nodejs-dateformat-1.0.6-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2013-09-28 14:41:47 EDT
nodejs-dateformat-1.0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Fedora Update System 2013-09-28 21:25:35 EDT
nodejs-dateformat-1.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Fedora Update System 2013-09-28 21:28:20 EDT
nodejs-dateformat-1.0.6-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 19 Fedora Update System 2013-09-28 21:40:28 EDT
nodejs-dateformat-1.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.